Skip to main content
POST
/
api
/
v2
/
apps
/
{app_id}
/
entitlements
/
{entitlement_id}
/
owners
/
users
/
{role_slug}
/
{user_ref_id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.appEntitlementOwnersV2.createUserOwner({
    appId: "<id>",
    entitlementId: "<id>",
    roleSlug: "<value>",
    userRefId: "<id>",
  });

  console.log(result);
}

run();
{
  "appEntitlementOwnerUser": {
    "appId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "entitlementId": "<string>",
    "roleSlug": "<string>",
    "user": {
      "createdAt": "2023-11-07T05:31:56Z",
      "delegatedUserId": "<string>",
      "deletedAt": "2023-11-07T05:31:56Z",
      "department": "<string>",
      "departmentSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "directoryIds": [
        "<string>"
      ],
      "directoryStatusSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "displayName": "<string>",
      "email": "<string>",
      "emailSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "emails": [
        "<string>"
      ],
      "employeeIdSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "employeeIds": [
        "<string>"
      ],
      "employmentStatus": "<string>",
      "employmentStatusSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "employmentType": "<string>",
      "employmentTypeSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "id": "<string>",
      "jobTitle": "<string>",
      "jobTitleSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "managerIds": [
        "<string>"
      ],
      "managerSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "profile": {},
      "roleIds": [
        "<string>"
      ],
      "updatedAt": "2023-11-07T05:31:56Z",
      "username": "<string>",
      "usernameSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "usernames": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

entitlement_id
string
required

The entitlementId field.

role_slug
string
required

The roleSlug field.

user_ref_id
string
required

The id of the user.

Body

application/json

CreateAppEntitlementUserOwnerRequest is the request for creating a user ownership source on an entitlement.

userRef
User Ref · object

A reference to a user.

Response

200 - application/json

CreateAppEntitlementUserOwnerResponse is the response for creating a user ownership source on an entitlement.

CreateAppEntitlementUserOwnerResponse is the response for creating a user ownership source on an entitlement.

appEntitlementOwnerUser
App Entitlement Owner User · object

AppEntitlementOwnerUser represents a user ownership source for an app entitlement.